## org.apache.tools.ant.taskdefs
Class ExecuteOn.FileDirBoth

    java.lang.Object
      |
      +--org.apache.tools.ant.types.EnumeratedAttribute
            |
            +--org.apache.tools.ant.taskdefs.ExecuteOn.FileDirBoth

Enclosing class:
  ExecuteOn

public static class ExecuteOn.FileDirBoth
extends EnumeratedAttribute

Enumerated attribute with the values "file", "dir" and "both" for the type attribute.

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`ExecuteOn.FileDirBoth()`

Method Summary
`java.lang.String[]` `getValues()` This is the only method a subclass needs to implement.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecuteOn.FileDirBoth

    public ExecuteOn.FileDirBoth()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Description copied from class: `EnumeratedAttribute`
  This is the only method a subclass needs to implement.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.
  See Also:
    `EnumeratedAttribute.getValues()`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.